<script setup>
import { useGameStore } from "@/stores/game";
import { ref, unref, computed } from "vue";
import { useRouter } from 'vue-router';


const router = useRouter()
const { onStart } = useGameStore()
const playerLeft = ref(null)
const playerRight = ref(null)
const validNames = computed(() => {
    return unref(playerLeft) &&  
           unref(playerLeft).length >= 3 &&
           unref(playerRight) &&  
           unref(playerRight).length >= 3
})

function startGame() {
    onStart(playerLeft.value, playerRight.value)
    router.push('/game')
}
</script>
 
<template>
    <main>
        <div class="mb-3">
            <label for="playerLeft" class="form-label">Hrac v levo</label>
            <input type="text" class="form-control" id="playerLeft" v-model.trim="playerLeft">
        </div>
        <div class="mb-3">
            <label for="playerRight" class="form-label">Hrac v pravo</label>
            <input type="text" class="form-control" id="playerRight" v-model.trim="playerRight">
        </div>
        <div class="mb-3">
            <button class="btn btn-primary" :disabled="!validNames" @click="startGame">
                Play
            </button>
        </div>
    </main>
</template>

<style scoped>

</style>